Package ru.bitel.bgbilling.modules.smarthouse.server.bean.intercom

# Class SmartHouseIntercomFlatDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<SmartHouseIntercomFlat>
ru.bitel.bgbilling.common.dao.AbstractIdDao<SmartHouseIntercomFlat>
ru.bitel.bgbilling.modules.smarthouse.server.bean.intercom.SmartHouseIntercomFlatDao

public class SmartHouseIntercomFlatDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<SmartHouseIntercomFlat>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseIntercomFlatDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SmartHouseIntercomFlat`
  `getFromRS(ResultSet rs)`
  `void`
  `insertSmartHouseIntercomFlatStatusLog(int intercomFlatId, LocalDateTime updateTime, boolean status, int userId)`
  `List<SmartHouseIntercomFlat>`
  `list(int intercomId)`
  `List<SmartHouseIntercomFlat>`
  `listByContractId(int contractId)`
  `void`
  `searchSmartHouseIntercomFlatStatusLogs(SearchResult<String> searchResult, int intercomFlatId)`
  `protected void`
  `updateImpl(SmartHouseIntercomFlat smartHouseIntercomFlat)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseIntercomFlatDao

    public SmartHouseIntercomFlatDao(Connection con, int moduleId)

- ## Method Details

  - ### list

    public List<SmartHouseIntercomFlat> list(int intercomId) throws SQLException
    Throws:
      `SQLException`

  - ### listByContractId

    public List<SmartHouseIntercomFlat> listByContractId(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### insertSmartHouseIntercomFlatStatusLog

    public void insertSmartHouseIntercomFlatStatusLog(int intercomFlatId, LocalDateTime updateTime, boolean status, int userId) throws SQLException
    Throws:
      `SQLException`

  - ### searchSmartHouseIntercomFlatStatusLogs

    public void searchSmartHouseIntercomFlatStatusLogs(SearchResult<String> searchResult, int intercomFlatId) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected SmartHouseIntercomFlat getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHouseIntercomFlat>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(SmartHouseIntercomFlat smartHouseIntercomFlat) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHouseIntercomFlat>`
    Throws:
      `SQLException`